%define upstream_name    App-Magpie
%define upstream_version 2.010

Name:       magpie
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    MAGeia Perl Integration Easy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     magpie-2.010-shlomif-tweaks.patch
Patch2:     use-make-install.patch
Patch3:     use-make_build.patch
Patch4:     do-not-kill-mklibname.patch
Patch5:     fix-for-rpm-4.19.0.patch

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(CPAN::Mini)
BuildRequires: perl(CPAN::Recent::Uploads)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(DateTime)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir::PathClass)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Find::Lib)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(MetaCPAN::Client)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(MooseX::Singleton)
BuildRequires: perl(ORDB::CPAN::Mageia)
BuildRequires: perl(Parallel::ForkManager)
BuildRequires: perl(Parse::CPAN::Meta) >= 1.440.100
BuildRequires: perl(Parse::CPAN::Packages::Fast)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(RRDTool::OO)
BuildRequires: perl(Readonly)
BuildRequires: perl(Template)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Padding)
BuildRequires: perl(URPM)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildRequires: perl(version) >= 1:0.870.0
BuildArch:  noarch

Requires:   bm
Requires:   mgarepo
%description
CPAN holds a lot of great modules - but it can be difficult for the user to
install if she's not familiar with the process. Therefore, Linux
distribution usually package quite a lot of them, for them to be easily
installable.

Mageia Linux is no exception, and ships more than 2500 packages holding
Perl distributions (at the time of writing). Maintaining those packages is
a daunting task - and cannot be done only by hand.

This distribution is therefore a set of scripts helping maintaining Perl
packages within Mageia. They can be somehow coupled or used independently.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test || :

%install
./Build install --destdir=%{buildroot}
# Permanentize the sha-bang.
# See: https://wiki.mageia.org/en/Perl_policy#Executables .
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/magpie
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jan 09 2024 tv <tv> 2.10.0-10.mga10
+ Revision: 2029120
- More rpm-4.19 fixes*

* Thu Nov 02 2023 tv <tv> 2.10.0-9.mga10
+ Revision: 2003638
- Fix for rpm-4.19.0 (SPECPARTS)

* Mon Mar 28 2022 umeabot <umeabot> 2.10.0-8.mga9
+ Revision: 1830267
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.10.0-7.mga8
+ Revision: 1520006
- Mageia 8 Mass Rebuild

* Wed Oct 31 2018 tv <tv> 2.10.0-6.mga7
+ Revision: 1326980
- patch 4: do not destroy mklibname calls in BRs

* Thu Sep 20 2018 umeabot <umeabot> 2.10.0-5.mga7
+ Revision: 1279370
- Mageia 7 Mass Rebuild

* Mon Sep 25 2017 tv <tv> 2.10.0-4.mga7
+ Revision: 1159278
- ignore testsuite failure on BS due to missing net cnx
- patch 2/3: use new build macros
+ pterjan <pterjan>
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2.10.0-2.mga6
+ Revision: 1002069
- Add a patch to fix some annoyances

* Fri Feb 05 2016 shlomif <shlomif> 2.10.0-1.mga6
+ Revision: 939324
- Remove an already applied patch
- New version 2.010

* Thu Jun 25 2015 shlomif <shlomif> 2.9.0-2.mga6
+ Revision: 843104
- Add missing file
- Fix warnings on latest perl-5.22.0

* Mon Jun 22 2015 sander85 <sander85> 2.9.0-1.mga6
+ Revision: 839204
- update to 2.009
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ jquelin <jquelin>
- update to 2.008

* Thu Jun 26 2014 jquelin <jquelin> 2.7.0-1.mga5
+ Revision: 639910
- update to 2.007

* Thu Jun 12 2014 jquelin <jquelin> 2.6.0-1.mga5
+ Revision: 635760
- update to 2.006

* Tue Feb 25 2014 jquelin <jquelin> 2.5.0-1.mga5
+ Revision: 596905
- update to 2.005

* Mon Feb 24 2014 jquelin <jquelin> 2.3.0-1.mga5
+ Revision: 596493
- update to 2.003

* Tue Feb 04 2014 shlomif <shlomif> 2.2.0-4.mga5
+ Revision: 582041
- Make the sha-bang permanent

* Sat Oct 19 2013 umeabot <umeabot> 2.2.0-3.mga4
+ Revision: 532867
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 shlomif <shlomif> 2.2.0-2.mga4
+ Revision: 470153
- Bump release for new Perl

* Mon Jun 10 2013 jquelin <jquelin> 2.2.0-1.mga4
+ Revision: 441466
- update to 2.002

* Mon Jun 03 2013 jquelin <jquelin> 2.1.0-1.mga4
+ Revision: 436480
- update to 2.001

* Sun Jun 02 2013 jquelin <jquelin> 2.0.0-6.mga4
+ Revision: 434464
- perl 5.18.0 rebuild

* Wed May 29 2013 shlomif <shlomif> 2.0.0-5.mga4
+ Revision: 432091
- Rebuild for perl-5.18.0

* Mon Mar 18 2013 jquelin <jquelin> 2.0.0-4.mga3
+ Revision: 403790
- perl 5.16.3 rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.0-3.mga3
+ Revision: 359301
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 2.0.0-2.mga3
+ Revision: 314845
- perl 5.16.2 shebang rebuild

* Sun Oct 21 2012 jquelin <jquelin> 2.0.0-1.mga3
+ Revision: 308669
- update to 2.000

* Wed Oct 03 2012 jquelin <jquelin> 1.122.770-1.mga3
+ Revision: 302424
- update to 1.122770

* Fri Sep 28 2012 jquelin <jquelin> 1.122.721-1.mga3
+ Revision: 299007
- update to 1.122721

* Fri Sep 28 2012 jquelin <jquelin> 1.122.720-1.mga3
+ Revision: 298972
- update to 1.122720

* Wed Sep 26 2012 jquelin <jquelin> 1.122.700-1.mga3
+ Revision: 298349
- update to 2.122700

* Mon Sep 17 2012 jquelin <jquelin> 1.122.610-1.mga3
+ Revision: 295439
- update to 1.122610
- update to 1.122610

* Fri Aug 24 2012 jquelin <jquelin> 1.121.570-2.mga3
+ Revision: 283507
- perl 5.16.1 rebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.121.570-1.mga3
+ Revision: 254545
- update to 1.121570

* Thu May 31 2012 shlomif <shlomif> 1.120.960-2.mga3
+ Revision: 252192
- Rebuild for new perl

* Thu Apr 05 2012 jquelin <jquelin> 1.120.960-1.mga2
+ Revision: 228729
- update to 1.120960

* Mon Apr 02 2012 jquelin <jquelin> 1.120.902-1.mga2
+ Revision: 227900
- update to 1.120902
- update to 1.120900

* Thu Dec 01 2011 jquelin <jquelin> 1.113.320-1.mga2
+ Revision: 174876
- update to 1.113320

* Tue Nov 08 2011 jquelin <jquelin> 1.113.123-1.mga2
+ Revision: 165427
- update to 1.113123

* Tue Nov 08 2011 jquelin <jquelin> 1.113.122-1.mga2
+ Revision: 165413
- update to 1.113122

* Tue Nov 08 2011 jquelin <jquelin> 1.113.121-1.mga2
+ Revision: 165403
- update to 1.113121

* Tue Nov 08 2011 jquelin <jquelin> 1.113.120-1.mga2
+ Revision: 165322
- update to 1.13120

* Sat Nov 05 2011 jquelin <jquelin> 1.113.90-1.mga2
+ Revision: 163212
- update to 1.113090

* Fri Oct 14 2011 jquelin <jquelin> 1.112.870-2.mga2
+ Revision: 155118
- perl 5.14.2 rebuild

* Fri Oct 14 2011 jquelin <jquelin> 1.112.870-1.mga2
+ Revision: 155002
- update to 1.112870

* Wed Aug 31 2011 jquelin <jquelin> 1.112.420-1.mga2
+ Revision: 137006
- update to 1.112420

* Fri Jul 08 2011 jquelin <jquelin> 1.111.890-1.mga2
+ Revision: 120335
- update to 1.111890

* Wed Jun 22 2011 jquelin <jquelin> 1.111.730-1.mga2
+ Revision: 112429
- update to 1.111730

* Tue Jun 21 2011 jquelin <jquelin> 1.111.720-1.mga2
+ Revision: 111577
- update to 1.11720

* Sun Jun 19 2011 jquelin <jquelin> 1.111.60-5.mga2
+ Revision: 109879
- rebuild script for perl 5.14.1

* Mon Jun 13 2011 jquelin <jquelin> 1.111.60-4.mga2
+ Revision: 105821
- perl 5.14 rebuild

* Fri Jun 10 2011 jquelin <jquelin> 1.111.60-3.mga2
+ Revision: 103217
- rebuild

* Sun May 15 2011 pterjan <pterjan> 1.111.60-2.mga1
+ Revision: 98942
- Rebuild for fixed find-requires

* Sat Apr 16 2011 jquelin <jquelin> 1.111.60-1.mga1
+ Revision: 86665
- update to 1.111060

* Wed Apr 13 2011 jquelin <jquelin> 1.111.30-1.mga1
+ Revision: 84327
- update to 1.111030

* Tue Apr 12 2011 jquelin <jquelin> 1.111.20-1.mga1
+ Revision: 83923
- update to 1.111020

* Fri Mar 25 2011 jquelin <jquelin> 1.110.840-1.mga1
+ Revision: 77280
- update to 1.110840

* Sun Mar 13 2011 jquelin <jquelin> 1.110.720-1.mga1
+ Revision: 70551
- update to 1.110720

* Thu Mar 10 2011 jquelin <jquelin> 1.110.690-1.mga1
+ Revision: 67678
- update to 1.110690

* Wed Mar 09 2011 jquelin <jquelin> 1.110.680-1.mga1
+ Revision: 66813
- update to 1.110680

* Mon Feb 28 2011 jquelin <jquelin> 1.110.590-2.mga1
+ Revision: 61665
- adding missing requires, update summary

* Mon Feb 28 2011 jquelin <jquelin> 1.110.590-1.mga1
+ Revision: 61598
- update to 1.110590

* Sat Feb 26 2011 jquelin <jquelin> 1.110.570-1.mga1
+ Revision: 60731
- update to 1.110570

* Fri Feb 25 2011 jquelin <jquelin> 1.110.560-1.mga1
+ Revision: 59590
- update to 1.110560

* Thu Feb 24 2011 jquelin <jquelin> 1.110.550-1.mga1
+ Revision: 58911
- update to 1.110550

* Thu Feb 17 2011 jquelin <jquelin> 1.110.471-2.mga1
+ Revision: 53181
- requiring perl-version (damn epoch)
- perl-version needs an epoch
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 1.110.471-1.mga1
+ Revision: 52200
- update to 1.110471

* Thu Feb 10 2011 jquelin <jquelin> 1.110.410-1.mga1
+ Revision: 49815
- update to 1.110410

* Tue Feb 08 2011 jquelin <jquelin> 1.110.390-1.mga1
+ Revision: 49018
- using magpie to fix spec
- update buildrequires:
- update to 1.110390

* Tue Feb 01 2011 jquelin <jquelin> 1.110.320-1.mga1
+ Revision: 45709
- update to 1.110320

* Mon Jan 24 2011 jquelin <jquelin> 1.110.241-1.mga1
+ Revision: 37411
- imported package magpie

